com.collabnet.ce.soap60.webservices.tag

## Class TagAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.tag.TagAppSoapStub

- All Implemented Interfaces:
    ITagAppSoap

      public class TagAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements ITagAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TagSoapDO` | `createTag(String sessionId, String projectId, String name, String description)` Creates a tag in the specified project
    `void` | `deleteTag(String sessionId, String tagId)` Deletes a tag
    `TagSoapList` | `getObjectTags(String sessionId, String objectId)` Gets object tags
    `TagSoapDO` | `getTag(String sessionId, String tagId)` Gets tag data for the specified tag id
    `TagSoapDO` | `getTagByName(String sessionId, String projectId, String tagName)` Gets tag data by name in the specified project
    `TagSoapList` | `listTags(String sessionId, String projectId)` Gets the list of tags defined for the given project
    `TagSoapList` | `setObjectTags(String sessionId, String objectId, String[] tagIds)` Sets object tags
    `TagSoapDO` | `updateTag(String sessionId, String tagId, String name, String description)` Updates a tag's name and description

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagAppSoapStub

          public TagAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### listTags

          public TagSoapList listTags(String sessionId,
                                      String projectId)
                               throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Gets the list of tags defined for the given project
      Specified by:
        `listTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier.
      Returns:
        List of tags.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the current user does not have permission to view tags.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getTag

          public TagSoapDO getTag(String sessionId,
                                  String tagId)
                           throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Gets tag data for the specified tag id
      Specified by:
        `getTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
      Returns:
        Tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### getTagByName

          public TagSoapDO getTagByName(String sessionId,
                                        String projectId,
                                        String tagName)
                                 throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Gets tag data by name in the specified project
      Specified by:
        `getTagByName` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier
        `tagName` - Tag name
      Returns:
        Tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when project id/tag name is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### createTag

          public TagSoapDO createTag(String sessionId,
                                     String projectId,
                                     String name,
                                     String description)
                              throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Creates a tag in the specified project
      Specified by:
        `createTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `projectId` - Project identifier
        `name` - tag's name
        `description` - tag's description
      Returns:
        New tag's data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to create tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when project id is not valid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when new tag name is not valid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when another tag exists by the new name
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### updateTag

          public TagSoapDO updateTag(String sessionId,
                                     String tagId,
                                     String name,
                                     String description)
                              throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Updates a tag's name and description
      Specified by:
        `updateTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
        `name` - Tag's new name
        `description` - Tag's new description
      Returns:
        Updated tag data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to edit tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when there is a version mismatch
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when new tag name is not valid
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when another tag exists by the new name
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### deleteTag

          public void deleteTag(String sessionId,
                                String tagId)
                         throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Deletes a tag
      Specified by:
        `deleteTag` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `tagId` - Tag id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to delete tags
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when tag id is not valid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### getObjectTags

          public TagSoapList getObjectTags(String sessionId,
                                           String objectId)
                                    throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Gets object tags
      Specified by:
        `getObjectTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Object id (artifact or document)
      Returns:
        List of tags for the object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to view the specified object
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when object id is not valid
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when object id does not represent an artifact or a document
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

    - #### setObjectTags

          public TagSoapList setObjectTags(String sessionId,
                                           String objectId,
                                           String[] tagIds)
                                    throws RemoteException

      Description copied from interface: `ITagAppSoap`
      Sets object tags
      Specified by:
        `setObjectTags` in interface `ITagAppSoap`
      Parameters:
        `sessionId` - User session id
        `objectId` - Object id (artifact or document)
        `tagIds` - Array of tag ids (null or empty will remove the existing tags)
      Returns:
        Updated list of tags for the object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when current user does not have permission to edit the specified object
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when object/tag id is not valid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when number of tags exceeds allowed limit (10)
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - when object id does not represent an artifact or a document
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level exception occurs.
        `RemoteException`

Copyright © 2020 CollabNet. All rights reserved.